Hi, I'm currently trying Aurora and can't get compass watch, or CodeKit (similar to livereload) to compile. Has anyone else had this problem? Is there a current solution? Thanks in advance.

I've tried with nothing in my sub-theme's _variables.scss, essentially making no changes at all, and simple changes there like,

$total-cols: 16;
$main-content-cols: 10;

Here are the errors I keep running into. This is both on my Mac and on my development server using compass watch.

>>> Change detected at 02:43:59 to: partials/global/_variables.scss
    error sass/style.scss (Line 15 of _variables.scss: Undefined variable: "$fourth".)
overwrite css/style.css

On my actual aurora sub-theme's styles.css i see this:

/*
Syntax error: Undefined variable: "$fourth".
        on line 15 of /Library/Ruby/Gems/1.8/gems/compass-aura-0.3.1/stylesheets/aura/_variables.scss
        from line 11 of /Library/Ruby/Gems/1.8/gems/compass-aura-0.3.1/stylesheets/_aura.scss
        from line 5 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/partials/global/../../../../aurora/aurora/sass/partials/global/_base.scss
        from line 4 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/partials/global/../../../../aurora/aurora/sass/partials/_setup.scss
        from line 6 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/partials/global/_base.scss
        from line 4 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/style.scss
Backtrace:
/Library/Ruby/Gems/1.8/gems/compass-aura-0.3.1/stylesheets/aura/_variables.scss:15
/Library/Ruby/Gems/1.8/gems/compass-aura-0.3.1/stylesheets/_aura.scss:11
/Users/XX/Development/aurora/sites/all/themes/fyg/sass/partials/global/../../../../aurora/aurora/sass/partials/global/_base.scss:5
/Users/XX/Development/aurora/sites/all/themes/fyg/sass/partials/global/../../../../aurora/aurora/sass/partials/_setup.scss:4
/Users/XX/Development/aurora/sites/all/themes/fyg/sass/partials/global/_base.scss:6
/Users/XX/Development/aurora/sites/all/themes/fyg/sass/style.scss:4
/Library/Ruby/Gems/1.8/gems/sass-3.2.0.alpha.278/lib/sass/../sass/script/variable.rb:49:in `_perform'
/Library/Ruby/Gems/1.8/gems/sass-3.2.0.alpha.278/lib/sass/../sass/script/node.rb:40:in `perform'
/Library/Ruby/Gems/1.8/gems/sass-3.2.0.alpha.278/lib/sass/../sass/script/operation.rb:83:in `_perform'
and so forth...
/Library/Ruby/Gems/1.8/gems/compass-0.12.2/bin/compass:44
/usr/bin/compass:23:in `load'
/usr/bin/compass:23
*/
body:before {
  white-space: pre;
  font-family: monospace;
  content: "Syntax error: Undefined variable: "$fourth".\A         on line 15 of /Library/Ruby/Gems/1.8/gems/compass-aura-0.3.1/stylesheets/aura/_variables.scss\A         from line 11 of /Library/Ruby/Gems/1.8/gems/compass-aura-0.3.1/stylesheets/_aura.scss\A         from line 5 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/partials/global/../../../../aurora/aurora/sass/partials/global/_base.scss\A         from line 4 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/partials/global/../../../../aurora/aurora/sass/partials/_setup.scss\A         from line 6 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/partials/global/_base.scss\A         from line 4 of /Users/xx/Development/aurora/sites/all/themes/fyg/sass/style.scss"; }

Comments

I'm re-writing Aurora this week, and the complexity that creates this (and many other) issue should go away. That being said, out of curiosity, can you run the following for me:

gem list

This will tell you what gems you have installed and their versions. Also, what OS are you on?

Thanks for the quick reply Snugug.

I'm on OSX 10.7.3

and here are my local gems:

addressable (2.2.8)
bootstrap-sass (2.0.4.0)
chunky_png (1.2.5)
compass (0.12.2)
compass-aura (0.3.1)
excon (0.15.4)
fssm (0.2.9)
heroku (2.29.0)
heroku-api (0.2.13)
launchy (2.1.0)
mime-types (1.19)
modular-scale (1.0.0)
netrc (0.7.5)
rake (0.9.2.2)
rest-client (1.6.7)
rubygems-update (1.8.24)
rubyzip (0.9.9)
sass (3.2.0.alpha.278, 3.2.0.alpha.261)
sassy-math (1.2)
susy (1.0.rc.4)
zurb-foundation (3.0.4)

Assigned:Unassigned» Snugug

Awesome.

So here's the problem that's happening, and it's something I'm working on as we speak. Modular Scale at version 1.0 did away with a lot of its default ratios, and I was using one that was done away with. Like I said, I'm in the process of rewriting Aurora right now, so this will be fixed soon.

Status:Active» Fixed

Big 'ol update to Aurora. It breaks some of the old stuff, but this issue should be fixed if you convert to the new RC.

Status:Fixed» Closed (fixed)